use simsearch::SimSearch;

fn main() {
    let mut engine: SimSearch<u32> = SimSearch::new();

    engine.insert(1, "Things Fall Apart");
    engine.insert(2, "The Old Man and the Sea");
    engine.insert(3, "James Joyce");

    let results: Vec<u32> = engine.search("thngs");
    for r in results {
        println!("{:?}", r);
    }
}
